Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class DecisionType

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.DecisionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:15:21+02:00",
               comments="JAXB RI v2.3.6")
    public class DecisionType

extends Object
implements Serializable

The Decision type is used to express the result of a decision done by the Consultant Doctor.

Java class for DecisionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Reference" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionReferenceType"/>
             <element name="Reason" type="{urn:be:cin:mycarenet:1.0:carenet:types}RejectionReasonType" minOccurs="0"/>
             <element name="Justification" type="{urn:be:cin:mycarenet:1.0:carenet:types}String_150" minOccurs="0"/>
           </sequence>
           <attribute name="result" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionResultType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionType()`

Method Summary
`String` | `getJustification()` Gets the value of the justification property.
`String` | `getReason()` Gets the value of the reason property.
`String` | `getReference()` Gets the value of the reference property.
`DecisionResultType` | `getResult()` Gets the value of the result property.
`void` | `setJustification(String value)` Sets the value of the justification property.
`void` | `setReason(String value)` Sets the value of the reason property.
`void` | `setReference(String value)` Sets the value of the reference property.
`void` | `setResult(DecisionResultType value)` Sets the value of the result property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionType

    public DecisionType()

Method Detail

### getReference

    public String getReference()

  Gets the value of the reference property.

  Returns:
    possible object is `String`

### setReference

    public void setReference(String value)

  Sets the value of the reference property.

  Parameters:
    `value` - allowed object is `String`

### getReason

    public String getReason()

  Gets the value of the reason property.

  Returns:
    possible object is `String`

### setReason

    public void setReason(String value)

  Sets the value of the reason property.

  Parameters:
    `value` - allowed object is `String`

### getJustification

    public String getJustification()

  Gets the value of the justification property.

  Returns:
    possible object is `String`

### setJustification

    public void setJustification(String value)

  Sets the value of the justification property.

  Parameters:
    `value` - allowed object is `String`

### getResult

    public DecisionResultType getResult()

  Gets the value of the result property.

  Returns:
    possible object is `DecisionResultType`

### setResult

    public void setResult(DecisionResultType value)

  Sets the value of the result property.

  Parameters:
    `value` - allowed object is `DecisionResultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.